| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Namespaces | Typedefs | Functions | Variables
OgreHlmsShaderCommon.h File Reference
`#include "Ogre.h"`
`#include "OgreHlmsPrerequisites.h"`
`#include "OgreIdString.h"`
`#include "OgreMurmurHash3.h"`
`#include <cstddef>`

## Namespaces
| Ogre

## Typedefs
typedef std::vector< std::pair< IdString, String > > | Ogre::HlmsParamVec

## Functions
uint32 | Ogre::calcHash (const void *data, size_t size)
uint32 | Ogre::calcHash (const String &str)
uint32 | Ogre::calcHash (const StringVector &vec)
bool | Ogre::OrderParamVecByKey (const std::pair< IdString, String > &_left, const std::pair< IdString, String > &_right)

## Variables
const String | Ogre::FilePatterns [] = { "_vs", "_fs", "_gs", "_ds", "_hs" }